Bug 79337 - [Maintainer Update] split databases/firebird in -client and -server ports
[Maintainer Update] split databases/firebird in -client and -server ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey Matveychuk
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 18:30 UTC by freebsd
Modified: 2005-05-17 17:10 UTC (History)
0 users

See Also:


Attachments
firebird-split.diff (48.82 KB, patch)
2005-03-29 18:30 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2005-03-29 18:30:02 UTC
- Split databases/firebird in -client and -server ports
- Install libs and includes on ${LOCALBASE} instead ${LOCALBASE}/firebird
- Change all ports that have LIB_DEPENDS=gds to databases/firebird-client port

Ports that need repo-copy
- databases/firebird -> databases/firebird-server

New port added:
- databases/firebird-client

Special thanks to Ivan Chetyrkin <frice@utmn.ru> that doing the first version of the ports splitted
Comment 1 Sergey Matveychuk freebsd_committer 2005-04-16 22:10:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Seems to be somebody must to do it. Why not me?
Comment 2 freebsd 2005-05-02 18:09:40 UTC
Sem,

Here is a updated patch to databases/firebird port.

===> Updating from CVS
M Makefile
R pkg-install
R pkg-message
M pkg-plist
A pkg-plist.client
A files/aliases.conf.in
A files/patch-builds::posix::Makefile.in.inet_server
A files/pkg-install.in
A files/pkg-message.in
===> Generating patch
===> Viewing diff with more
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/databases/firebird/Makefile,v
retrieving revision 1.37
diff -u -r1.37 Makefile
--- Makefile	11 Apr 2005 13:03:54 -0000	1.37
+++ Makefile	2 May 2005 17:07:55 -0000
@@ -5,16 +5,18 @@
 # $FreeBSD: ports/databases/firebird/Makefile,v 1.37 2005/04/11 13:03:54 barner Exp $
 #
 
-PORTNAME=	firebird
+PORTNAME?=	firebird
 PORTVERSION=	1.5.2
-CATEGORIES=	databases
+CATEGORIES?=	databases
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=firebird
+PKGNAMESUFFIX?=	-server
 DISTNAME=	firebird-1.5.2.4731
 
 MAINTAINER=	freebsd@galle.com.br
-COMMENT=	The open-source InterBase(tm) 6.0 spin-off (Classic version)
+COMMENT?=	The open-source InterBase(tm) 6.0 spin-off (Classic version)
 
+USE_REINPLACE=	yes
 USE_BISON=	yes
 USE_BZIP2=	yes
 USE_GMAKE=	yes
@@ -28,19 +30,48 @@
 # Don't use ld for linking, use gcc
 LD=	gcc
 
-CONFLICTS=	firebird-devel-[0-9]*
+# Don't strip binary files
+STRIP=
+
+ONLY_FOR_ARCHS=	i386
 
 WRKSRC=		${WRKDIR}/${DISTNAME}
-INSTALLS_SHLIB=	yes
-LDCONFIG_DIRS=	%%PREFIX%%/firebird/lib
-MSG_FILE=	${PKGDIR}/pkg-message
+
+.if !defined(CLIENT_ONLY)
+# Server part stuff
+LIB_DEPENDS+=	fbembed.1:${PORTSDIR}/databases/firebird-client
+
+AUTOGENARGS=	--prefix=${PREFIX}/firebird \
+		--with-lock-manager
+
+ALL_TARGET=	firebird_boot ref_databases msgs intl otherfiles \
+		inet_server extlib
+
+# Use own user and group when install server part
+BINOWN=		firebird
+BINGRP=		firebird
+BINMODE=	550
+SHAREOWN=	firebird
+SHAREGRP=	firebird
+
 PKGMESSAGE=	${WRKDIR}/pkg-message
-USE_REINPLACE=	yes
+PKGINSTALL=	${WRKDIR}/pkg-install
 
-ONLY_FOR_ARCHS=	i386
+CONFLICTS=	firebird-devel-[0-9]*
+.else
+# Client part stuff
+AUTOGENARGS=	--prefix=${PREFIX} \
+		--with-editline
+
+ALL_TARGET=	firebird_basic libfbembed embed_gfix embed_gbak embed_isql embed_gpre \
+		embed_util embed_gdef embed_qli libfbclient extlib
+
+INSTALLS_SHLIB=	yes
+.endif
 
 .include <bsd.port.pre.mk>
 
+.if !defined(CLIENT_ONLY)
 pre-everything::
 	@${ECHO_MSG} "NOTE: If the work directory is on an NFS mount, you will"
 	@${ECHO_MSG} "require NFS client locking support for the build to"
@@ -55,6 +86,33 @@
 	@sleep 10
 .endif
 
+post-patch:
+	@${REINPLACE_CMD} -e 's|^\(LINK_OPTS +=.*\)$$|\1 -L${LOCALBASE}/lib|' \
+		${WRKSRC}/builds/posix/Makefile.in.inet_server
+
+post-build:
+	${SED} 's|%%PREFIX%%|${PREFIX}|g' \
+		< ${FILESDIR}/pkg-message.in \
+		> ${PKGMESSAGE}
+
+	${SED} -e 's|%%PREFIX%%|${PREFIX}/firebird|g' \
+		< ${FILESDIR}/pkg-install.in \
+		> ${PKGINSTALL}
+
+	${SED} -e "s|%%PREFIX%%|${PREFIX}/firebird|g" \
+		< ${FILESDIR}/aliases.conf.in \
+		> ${WRKDIR}/aliases.conf
+
+pre-install:
+	${SETENV} PKG_PREFIX="${PREFIX}" PKG_DESTDIR="${DESTDIR}" ${SH} ${PKGINSTALL} ${PORTNAME} PRE-INSTALL
+
+post-install:
+	${SETENV} PKG_PREFIX="${PREFIX}" PKG_DESTDIR="${DESTDIR}" ${SH} ${PKGINSTALL} ${PORTNAME} POST-INSTALL
+	@${ECHO_MSG}
+	@${CAT} ${PKGMESSAGE}
+	@${ECHO_MSG}
+.endif
+
 patch-autotools:
 	@${DO_NADA}
 
@@ -63,20 +121,81 @@
 
 do-configure:
 	@(cd ${WRKSRC} && ${SETENV} CC=${CC} CXX=${CXX} MAKE=${GMAKE}	\
-	${AUTOTOOLS_VARS} ./autogen.sh --prefix=${PREFIX}/firebird	\
-	--with-lock-manager --with-editline)
+	${AUTOTOOLS_VARS} ./autogen.sh ${AUTOGENARGS})
 
-do-build:
-	@(								\
-	${SED} 's|%%PREFIX%%|${PREFIX}|g' ${MSG_FILE} > ${PKGMESSAGE};	\
-	cd ${WRKSRC};							\
-	${SETENV} CC=${CC} CXX=${CXX} ${GMAKE} all;			\
-	)
+post-configure:
+	@${REINPLACE_CMD} -e 's|__attribute__ ((__unused__));||' \
+		${WRKSRC}/src/dsql/parse.cpp
 
-post-install:
-	@(								\
-	${INSTALL_DATA} ${FILESDIR}/RELNOTES ${PREFIX}/firebird;	\
-	${CAT} ${PKGMESSAGE};						\
-	)
+do-install:
+.if !defined(CLIENT_ONLY)
+
+	${MKDIR} ${PREFIX}/firebird
+	${CHOWN} ${BINOWN}:${BINGRP} ${PREFIX}/firebird
+
+.for f in UDF bin help intl
+	${MKDIR} ${PREFIX}/firebird/${f}
+	${CHOWN} ${BINOWN}:${BINGRP} ${PREFIX}/firebird/${f}
+.endfor
+
+	${INSTALL_DATA} ${WRKDIR}/aliases.conf ${PREFIX}/firebird/aliases.conf.sample
+	${INSTALL_DATA} ${WRKSRC}/gen/firebird/misc/firebird.conf ${PREFIX}/firebird/firebird.conf.sample
+	${INSTALL_DATA} ${WRKSRC}/gen/firebird/security.fdb ${PREFIX}/firebird/security.fdb.sample
+	${CHMOD} 660 ${PREFIX}/firebird/security.fdb.sample
+
+	${INSTALL_DATA} ${WRKSRC}/gen/firebird/firebird.msg ${PREFIX}/firebird/firebird.msg
+	${INSTALL_DATA} ${WRKSRC}/gen/firebird/help/help.fdb ${PREFIX}/firebird/help
+
+.for f in ib_udf.so fbudf.so
+	${INSTALL_PROGRAM} ${WRKSRC}/gen/firebird/UDF/${f} ${PREFIX}/firebird/UDF
+.endfor
+
+.for f in src/extlib/ib_udf.sql src/extlib/fbudf/fbudf.sql
+	${INSTALL_SCRIPT} ${WRKSRC}/${f} ${PREFIX}/firebird/UDF
+.endfor
+
+.for f in fb_inet_server fb_lock_mgr
+	${INSTALL_PROGRAM} ${WRKSRC}/gen/firebird/bin/${f} ${PREFIX}/firebird/bin
+	${CHMOD} u+s ${PREFIX}/firebird/bin/${f}
+.endfor
+
+	${INSTALL_PROGRAM} ${WRKSRC}/gen/firebird/intl/libfbintl.so ${PREFIX}/firebird/intl/fbintl
+
+	${INSTALL_DATA} ${FILESDIR}/RELNOTES ${PREFIX}/firebird
+
+.else
+
+.for dir in include share/doc/firebird \
+	  share/doc/firebird/sql.extensions share/examples/firebird
+	${MKDIR} ${PREFIX}/${dir}
+.endfor
+
+.for f in fb_lock_print gbak gdef gds_drop gfix gpre gsec gstat isql qli
+	${INSTALL_PROGRAM} ${WRKSRC}/gen/firebird/bin/${f} ${PREFIX}/bin
+.endfor
+
+	${INSTALL_PROGRAM} ${WRKSRC}/gen/firebird/lib/libfbclient.so.${PORTVERSION} ${PREFIX}/lib
+	${LN} -fs libfbclient.so.${PORTVERSION} ${PREFIX}/lib/libfbclient.so.1
+	${LN} -fs libfbclient.so.1 ${PREFIX}/lib/libfbclient.so
+
+	${INSTALL_PROGRAM} ${WRKSRC}/gen/firebird/lib/libfbembed.so.${PORTVERSION} ${PREFIX}/lib
+	${LN} -fs libfbembed.so.${PORTVERSION} ${PREFIX}/lib/libfbembed.so.1
+	${LN} -fs libfbembed.so.1 ${PREFIX}/lib/libfbembed.so
+
+	${LN} -fs libfbembed.so.1 ${PREFIX}/lib/libgds.so.1
+	${LN} -fs libfbembed.so.1 ${PREFIX}/lib/libgds.so
+
+	${INSTALL_PROGRAM} ${WRKSRC}/gen/firebird/lib/libib_util.so ${PREFIX}/lib
+
+	${INSTALL_DATA} ${WRKSRC}/gen/firebird/include/*.h ${PREFIX}/include
+
+	${INSTALL_DATA} ${WRKSRC}/doc/WhatsNew ${PREFIX}/share/doc/firebird
+	${INSTALL_DATA} ${WRKSRC}/doc/README.* ${PREFIX}/share/doc/firebird
+	${INSTALL_DATA} ${WRKSRC}/doc/README.user ${PREFIX}/share/doc/firebird/README
+	${INSTALL_DATA} ${WRKSRC}/doc/sql.extensions/README.* ${PREFIX}/share/doc/firebird/sql.extensions
+
+	# Install examples
+	${INSTALL_DATA} ${WRKSRC}/gen/firebird/examples/v5/* ${PREFIX}/share/examples/firebird
+.endif
 
 .include <bsd.port.post.mk>
Index: pkg-install
===================================================================
RCS file: pkg-install
diff -N pkg-install
--- pkg-install	1 May 2005 09:29:42 -0000	1.10
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,145 +0,0 @@
-#!/bin/sh
-
-# $FreeBSD: ports/databases/firebird/pkg-install,v 1.10 2005/05/01 09:29:42 sem Exp $
-
-PATH=/bin:/usr/bin:/usr/sbin
-
-case $2 in
-PRE-INSTALL)
-
-if [ `id -u` -ne 0 ]; then
-	echo; echo "You must be root to run this step!"; echo; echo
-  exit 1
-fi
-
-nofbuid=0
-fbUID=`id -u firebird 2>/dev/null`
-if [ $? -ne 0 ]; then
-	fbUID=90
-	while [ ! -z `id -un $fbUID 2>/dev/null` ]
-	do
-		fbUID=$(($fbUID+1))
-	done
-	nofbuid=1
-fi
-
-fbGID=`pw groupshow firebird 2>/dev/null`
-if [ $? -ne 0 ]; then
-	fbGID=90
-	while [ ! -z `id -gn $fbGID 2>/dev/null` ]
-	do
-		fbGID=$(($fbGID+1))
-	done
-	echo "firebird:*:$fbGID:" >> /etc/group
-else
-	fbGID=`echo $fbGID | awk -F: '{print $3}'`
-fi
-
-echo "firebird user using uid $fbUID"
-echo "firebird user using gid $fbGID"
-
-if which -s pw; then
-	if [ $nofbuid -ne 0 ]; then
-		pw useradd firebird -u $fbUID -g $fbGID -h - -s /bin/sh \
-		-d $PKG_PREFIX/firebird -c "Firebird Database Administrator"
-	fi
-else
-	echo -n "unable to create user firebird - please create it manually,"
-	echo " before reinstalling this package."
-	exit 1
-fi
-;;
-
-POST-INSTALL)
-chown -R firebird:firebird $PKG_PREFIX/firebird
-chmod -R o= $PKG_PREFIX/firebird
-
-# Now fix up the mess.
-
-# fix up directories
-for i in `find $PKG_PREFIX/firebird -print`
-do
-	FileName=$i
-	if [ -d $FileName ]; then
-		chmod u=rwx,go=rx $FileName
-	fi
-done
-
-# make lib ldconfig-compatible
-chown -R root:wheel $PKG_PREFIX/firebird/lib
-
-# make the following read-only
-chmod -R a=r $PKG_PREFIX/firebird/WhatsNew
-for i in `find $PKG_PREFIX/firebird/doc -type f -print`
-do
-	chmod a=r $i
-done
-chmod -R a=r $PKG_PREFIX/firebird/examples/*
-chmod -R a=r $PKG_PREFIX/firebird/include/*
-chmod -R a=r $PKG_PREFIX/firebird/intl/*
-#chmod -R a=r $PKG_PREFIX/firebird/misc/*
-
-chmod -R ug=rx,o= $PKG_PREFIX/firebird/UDF/*
-chmod -R ug=rx,o= $PKG_PREFIX/firebird/intl/fbintl
-chmod -R a=rx $PKG_PREFIX/firebird/lib/*
-
-cd $PKG_PREFIX/firebird/lib
-ln -sf libfbembed.so libgds.so
-ln -sf libfbembed.so.1 libgds.so.1
-
-cd $PKG_PREFIX/firebird/bin
-for i in `ls`
-do
-	chmod ug=rx,o= $i
-done
-
-chmod a=rx isql qli
-
-# SUID is needed for running server programs.
-for i in fb_lock_mgr gds_drop fb_inet_server
-do
-	if [ -f $i ]; then
-		chmod ug=rx,o= $i
-		chmod ug+s $i
-	fi
-done
-
-
-cd $PKG_PREFIX/firebird
-
-# Lock files
-
-for i in isc_init1 isc_lock1 isc_event1
-do
-	FileName=$i.`hostname`
-	touch $FileName
-	chmod uga=rw $FileName
-	chown firebird:firebird $FileName
-done
-
-touch firebird.log
-chown firebird:firebird firebird.log
-chmod ug=rw,o= firebird.log
-chmod a=r firebird.msg README
-chown root:wheel *.sample
-chmod ug=r,o= *.sample
-
-# make databases writable by firebird only
-# local database connections are not a good idea
-chmod ug=rw,o= examples/*.fdb
-chmod ug=rw,o= help/*.fdb
-chmod ug=rw,o= security.fdb
-
-chmod 444 aliases.conf firebird.conf
-chmod 660 security.fdb
-
-# shared lib startup script
-if [ -d $PKG_PREFIX/etc/rc.d ]; then
-	(
-	echo "#!/bin/sh"; echo "[ -d $PKG_PREFIX/firebird/lib ] && /sbin/ldconfig -m $PKG_PREFIX/firebird/lib"
-	) > $PKG_PREFIX/etc/rc.d/000.firebird.sh
-  chmod a=rx $PKG_PREFIX/etc/rc.d/000.firebird.sh
-fi
-;;
-
-esac
Index: pkg-message
===================================================================
RCS file: pkg-message
diff -N pkg-message
--- pkg-message	1 May 2005 09:29:42 -0000	1.5
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,35 +0,0 @@
-
----------------------------------------------------------
-Firebird is now installed.
-
-To start the server add the following line to /etc/services:
-
-gds_db		3050/tcp  #InterBase Database Remote Protocol
-
-And add the following line to /etc/inetd.conf
-
-gds_db	stream	tcp	nowait	firebird	%%PREFIX%%/bin/fb_inet_server  fb_inet_server
-
-And finally restart inetd.
-
-A symbolic link from /usr/interbase -> %%PREFIX%%/firebird
-may be needed for compatibility with existing programs
-that use Firebird.
-
-The symbolic link can be created with:
-
-% ln -s %%PREFIX%%/firebird /usr/interbase
-
-It is STRONGLY recommended that you change the SYSDBA
-password with:
-
-% cd %%PREFIX%%/firebird
-% gsec -user SYSDBA -pass masterkey
-GSEC> modify SYSDBA -pw newpassword
-GSEC> quit
-
-before doing anything serious with Firebird.
-
-See %%PREFIX%%/firebird/RELNOTES for more.
----------------------------------------------------------
-
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/databases/firebird/pkg-plist,v
retrieving revision 1.8
diff -u -r1.8 pkg-plist
--- pkg-plist	10 Jan 2005 09:46:20 -0000	1.8
+++ pkg-plist	2 May 2005 17:07:55 -0000
@@ -1,130 +1,29 @@
-etc/rc.d/000.firebird.sh
-firebird/README
+@comment $FreeBSD$
 firebird/RELNOTES
 firebird/UDF/fbudf.so
 firebird/UDF/fbudf.sql
 firebird/UDF/ib_udf.so
 firebird/UDF/ib_udf.sql
-firebird/WhatsNew
 @unexec if cmp -s %D/firebird/aliases.conf %D/firebird/aliases.conf.sample; then rm -f %D/firebird/aliases.conf; fi
 firebird/aliases.conf.sample
 @exec [ -f %B/aliases.conf ] || cp %B/%f %B/aliases.conf
 firebird/bin/fb_inet_server
 firebird/bin/fb_lock_mgr
-firebird/bin/fb_lock_print
-firebird/bin/gbak
-firebird/bin/gdef
-firebird/bin/gds_drop
-firebird/bin/gfix
-firebird/bin/gpre
-firebird/bin/gsec
-firebird/bin/gstat
-firebird/bin/isql
-firebird/bin/qli
-firebird/doc/README.NTSecurity
-firebird/doc/README.Win32LibraryInstallation.txt
-firebird/doc/README.build.mingw.html
-firebird/doc/README.build.msvc.html
-firebird/doc/README.install.Solaris_on_Intel
-firebird/doc/README.instsvc
-firebird/doc/README.makefiles
-firebird/doc/README.user
-firebird/doc/README.user.embedded
-firebird/doc/README.user.troubleshooting
-firebird/doc/sql.extensions/README.aggregate_tracking
-firebird/doc/sql.extensions/README.case
-firebird/doc/sql.extensions/README.coalesce
-firebird/doc/sql.extensions/README.context_variables
-firebird/doc/sql.extensions/README.data_types
-firebird/doc/sql.extensions/README.exception_handling
-firebird/doc/sql.extensions/README.execute_statement
-firebird/doc/sql.extensions/README.explicit_locks
-firebird/doc/sql.extensions/README.nullif
-firebird/doc/sql.extensions/README.order_by_expressions_nulls
-firebird/doc/sql.extensions/README.savepoints
-firebird/doc/sql.extensions/README.universal_triggers
-firebird/examples/align.h
-firebird/examples/api1.c
-firebird/examples/api10.c
-firebird/examples/api11.c
-firebird/examples/api12.c
-firebird/examples/api13.c
-firebird/examples/api14.e
-firebird/examples/api15.c
-firebird/examples/api16.c
-firebird/examples/api16t.c
-firebird/examples/api2.c
-firebird/examples/api3.c
-firebird/examples/api4.c
-firebird/examples/api5.c
-firebird/examples/api6.c
-firebird/examples/api7.c
-firebird/examples/api8.c
-firebird/examples/api9.c
-firebird/examples/api9f.c
-firebird/examples/api9f.sql
-firebird/examples/apifull.c
-firebird/examples/dyn1.e
-firebird/examples/dyn2.e
-firebird/examples/dyn3.e
-firebird/examples/dyn4.e
-firebird/examples/dyn5.e
-firebird/examples/dynfull.e
-firebird/examples/employe2.sql
-firebird/examples/employee.fdb
-firebird/examples/employee.gbk
-firebird/examples/example.h
-firebird/examples/readme
-firebird/examples/stat1.e
-firebird/examples/stat10.e
-firebird/examples/stat11.e
-firebird/examples/stat12.e
-firebird/examples/stat12t.e
-firebird/examples/stat2.e
-firebird/examples/stat3.e
-firebird/examples/stat4.e
-firebird/examples/stat5.e
-firebird/examples/stat6.e
-firebird/examples/stat7.e
-firebird/examples/stat8.e
-firebird/examples/stat9.e
-firebird/examples/udf.sql
-firebird/examples/udflib.c
 @unexec if cmp -s %D/firebird/firebird.conf %D/firebird/firebird.conf.sample; then rm -f %D/firebird/firebird.conf; fi
 firebird/firebird.conf.sample
 @exec [ -f %B/firebird.conf ] || cp %B/%f %B/firebird.conf
 @unexec [ -s %D/firebird/firebird.log ] || rm -f %D/firebird/firebird.log
 firebird/firebird.msg
 firebird/help/help.fdb
-firebird/include/blr.h
-firebird/include/gds.h
-firebird/include/ib_util.h
-firebird/include/ibase.h
-firebird/include/iberror.h
-firebird/include/perf.h
 firebird/intl/fbintl
 @unexec rm -f %D/firebird/isc_event1.`hostname`
 @unexec rm -f %D/firebird/isc_init1.`hostname`
 @unexec rm -f %D/firebird/isc_lock1.`hostname`
-firebird/lib/libfbclient.so
-firebird/lib/libfbclient.so.1
-firebird/lib/libfbclient.so.%%FIREBIRD_VERSION%%
-firebird/lib/libfbembed.so
-firebird/lib/libfbembed.so.1
-firebird/lib/libfbembed.so.%%FIREBIRD_VERSION%%
-firebird/lib/libgds.so
-firebird/lib/libgds.so.1
-firebird/lib/libib_util.so
 @unexec if cmp -s %D/firebird/security.fdb %D/firebird/security.fdb.sample; then rm -f %D/firebird/security.fdb; fi
 firebird/security.fdb.sample
 @exec [ -f %B/security.fdb ] || cp %B/%f %B/security.fdb
 @dirrm firebird/UDF
 @dirrm firebird/bin
-@dirrm firebird/doc/sql.extensions
-@dirrm firebird/doc
-@dirrm firebird/examples
 @dirrm firebird/help
-@dirrm firebird/include
 @dirrm firebird/intl
-@dirrm firebird/lib
 @dirrm firebird
Index: pkg-plist.client
===================================================================
RCS file: pkg-plist.client
diff -N pkg-plist.client
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ pkg-plist.client	2 May 2005 17:07:55 -0000
@@ -0,0 +1,100 @@
+@comment $FreeBSD$
+bin/fb_lock_print
+bin/gbak
+bin/gdef
+bin/gds_drop
+bin/gfix
+bin/gpre
+bin/gsec
+bin/gstat
+bin/isql
+bin/qli
+include/blr.h
+include/gds.h
+include/ib_util.h
+include/ibase.h
+include/iberror.h
+include/perf.h
+lib/libfbclient.so
+lib/libfbclient.so.1
+lib/libfbclient.so.%%FIREBIRD_VERSION%%
+lib/libfbembed.so
+lib/libfbembed.so.1
+lib/libfbembed.so.%%FIREBIRD_VERSION%%
+lib/libgds.so
+lib/libgds.so.1
+lib/libib_util.so
+%%DOCSDIR%%/README.NTSecurity
+%%DOCSDIR%%/README.Win32LibraryInstallation.txt
+%%DOCSDIR%%/README.build.mingw.html
+%%DOCSDIR%%/README.build.msvc.html
+%%DOCSDIR%%/README.install.Solaris_on_Intel
+%%DOCSDIR%%/README.instsvc
+%%DOCSDIR%%/README.makefiles
+%%DOCSDIR%%/README.user
+%%DOCSDIR%%/README.user.embedded
+%%DOCSDIR%%/README.user.troubleshooting
+%%DOCSDIR%%/README
+%%DOCSDIR%%/WhatsNew
+%%DOCSDIR%%/sql.extensions/README.aggregate_tracking
+%%DOCSDIR%%/sql.extensions/README.case
+%%DOCSDIR%%/sql.extensions/README.coalesce
+%%DOCSDIR%%/sql.extensions/README.context_variables
+%%DOCSDIR%%/sql.extensions/README.data_types
+%%DOCSDIR%%/sql.extensions/README.exception_handling
+%%DOCSDIR%%/sql.extensions/README.execute_statement
+%%DOCSDIR%%/sql.extensions/README.explicit_locks
+%%DOCSDIR%%/sql.extensions/README.nullif
+%%DOCSDIR%%/sql.extensions/README.order_by_expressions_nulls
+%%DOCSDIR%%/sql.extensions/README.savepoints
+%%DOCSDIR%%/sql.extensions/README.universal_triggers
+%%EXAMPLESDIR%%/align.h
+%%EXAMPLESDIR%%/api1.c
+%%EXAMPLESDIR%%/api10.c
+%%EXAMPLESDIR%%/api11.c
+%%EXAMPLESDIR%%/api12.c
+%%EXAMPLESDIR%%/api13.c
+%%EXAMPLESDIR%%/api14.e
+%%EXAMPLESDIR%%/api15.c
+%%EXAMPLESDIR%%/api16.c
+%%EXAMPLESDIR%%/api16t.c
+%%EXAMPLESDIR%%/api2.c
+%%EXAMPLESDIR%%/api3.c
+%%EXAMPLESDIR%%/api4.c
+%%EXAMPLESDIR%%/api5.c
+%%EXAMPLESDIR%%/api6.c
+%%EXAMPLESDIR%%/api7.c
+%%EXAMPLESDIR%%/api8.c
+%%EXAMPLESDIR%%/api9.c
+%%EXAMPLESDIR%%/api9f.c
+%%EXAMPLESDIR%%/api9f.sql
+%%EXAMPLESDIR%%/apifull.c
+%%EXAMPLESDIR%%/dyn1.e
+%%EXAMPLESDIR%%/dyn2.e
+%%EXAMPLESDIR%%/dyn3.e
+%%EXAMPLESDIR%%/dyn4.e
+%%EXAMPLESDIR%%/dyn5.e
+%%EXAMPLESDIR%%/dynfull.e
+%%EXAMPLESDIR%%/employe2.sql
+%%EXAMPLESDIR%%/employee.fdb
+%%EXAMPLESDIR%%/employee.gbk
+%%EXAMPLESDIR%%/example.h
+%%EXAMPLESDIR%%/readme
+%%EXAMPLESDIR%%/stat1.e
+%%EXAMPLESDIR%%/stat10.e
+%%EXAMPLESDIR%%/stat11.e
+%%EXAMPLESDIR%%/stat12.e
+%%EXAMPLESDIR%%/stat12t.e
+%%EXAMPLESDIR%%/stat2.e
+%%EXAMPLESDIR%%/stat3.e
+%%EXAMPLESDIR%%/stat4.e
+%%EXAMPLESDIR%%/stat5.e
+%%EXAMPLESDIR%%/stat6.e
+%%EXAMPLESDIR%%/stat7.e
+%%EXAMPLESDIR%%/stat8.e
+%%EXAMPLESDIR%%/stat9.e
+%%EXAMPLESDIR%%/udf.sql
+%%EXAMPLESDIR%%/udflib.c
+@dirrm %%DOCSDIR%%/sql.extensions
+@dirrm %%DOCSDIR%%
+@dirrm %%EXAMPLESDIR%%
Index: files/aliases.conf.in
===================================================================
RCS file: files/aliases.conf.in
diff -N files/aliases.conf.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/aliases.conf.in	2 May 2005 17:07:55 -0000
@@ -0,0 +1,8 @@
+#
+# List of known database aliases
+# ------------------------------
+#
+# Examples:
+#
+# employee = %%PREFIX%%/examples/employee.fdb
+#
Index: files/patch-builds::posix::Makefile.in.inet_server
===================================================================
RCS file: files/patch-builds::posix::Makefile.in.inet_server
diff -N files/patch-builds::posix::Makefile.in.inet_server
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-builds::posix::Makefile.in.inet_server	2 May 2005 17:07:55 -0000
@@ -0,0 +1,20 @@
+--- builds/posix/Makefile.in.inet_server.orig	Fri Sep 17 20:34:21 2004
++++ builds/posix/Makefile.in.inet_server	Wed Mar  2 16:09:41 2005
+@@ -39,6 +39,8 @@
+ 
+ @SET_MAKE@
+ 
++LINK_OPTS +=
++
+ SERVER_Files = server_stub.cpp 
+ SERVER_Sources = $(addprefix remote/, $(SERVER_Files))
+ SERVER_Objects = $(addprefix $(OBJ)/, $(addsuffix .o, $(basename $(SERVER_Sources))))
+@@ -51,7 +53,7 @@
+ 
+ # SD: We don't need to rebuild fb_inet_server every time libfbembed.so changed,
+ #     but we must ensure it's existance
+-fb_inet_server : $(LIBFBEMBED_SO) $(FB_CLASSIC_SERVER)
++fb_inet_server : $(FB_CLASSIC_SERVER)
+ 
+ $(FB_CLASSIC_SERVER):	$(SERVER_Objects)
+ 	$(LD) $(LINK_OPTS) $^ -o $@ $(FBEMBED_LINK) $(LIB_GUI) $(LINK_LIBS) 
Index: files/pkg-install.in
===================================================================
RCS file: files/pkg-install.in
diff -N files/pkg-install.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/pkg-install.in	2 May 2005 17:07:55 -0000
@@ -0,0 +1,56 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+PATH=/sbin:/usr/sbin:/usr/local/sbin:/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:%%PREFIX%%/bin
+PREFIX=%%PREFIX%%
+DB_DIR=%%PREFIX%%
+
+USER=firebird
+GROUP=${USER}
+UID=3050
+GID=${UID}
+HOME=${DB_DIR}
+DESCR="Firebird Database Administrator"
+
+case $2 in
+PRE-INSTALL)
+	if pw group show "${GROUP}" 2> /dev/null; then
+		echo "You already have a group \"${GROUP}\", so I will use it."
+	else
+		if pw groupadd ${GROUP} -g ${GID}; then
+			echo "Added group \"${GROUP}\"."
+		else
+			echo "Adding group \"${GROUP}\" failed..."
+			exit 1
+		fi
+	fi
+
+	if pw user show "${USER}" 2> /dev/null; then
+		echo "You already have a user \"${USER}\", so I will use it."
+
+		if pw usermod ${USER} -d ${HOME}; then
+			echo "Changed home directory of \"${USER}\" to \"${HOME}\""
+		else
+			echo "Changing home directory of \"${USER}\" to \"${HOME}\" failed..."
+			exit 1
+		fi
+	else
+		if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - -d ${NOME} -s /sbin/nologin -c "${DESCR}" ; then
+			echo "Added user \"${USER}\"."
+		else
+			echo "Adding user \"${USER}\" failed..."
+			exit 1
+		fi
+	fi
+        ;;
+
+POST-INSTALL)
+	for f in isc_init1.`hostname` isc_lock1.`hostname` isc_event1.`hostname` firebird.log
+	do
+		touch ${PREFIX}/${f}
+		chown ${USER}:${GROUP} ${PREFIX}/$f
+		chmod 660 ${PREFIX}/${f}
+	done
+esac
Index: files/pkg-message.in
===================================================================
RCS file: files/pkg-message.in
diff -N files/pkg-message.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/pkg-message.in	2 May 2005 17:07:55 -0000
@@ -0,0 +1,33 @@
+---------------------------------------------------------
+Firebird is now installed.
+
+To start the server add the following line to /etc/services:
+
+gds_db		3050/tcp  #InterBase Database Remote Protocol
+
+And add the following line to /etc/inetd.conf
+
+gds_db	stream	tcp	nowait	firebird	%%PREFIX%%/bin/fb_inet_server  fb_inet_server
+
+And finally restart inetd.
+
+A symbolic link from /usr/interbase -> %%PREFIX%%/firebird
+may be needed for compatibility with existing programs
+that use Firebird.
+
+The symbolic link can be created with:
+
+% ln -s %%PREFIX%%/firebird /usr/interbase
+
+It is STRONGLY recommended that you change the SYSDBA
+password with:
+
+% cd %%PREFIX%%/firebird
+% gsec -user SYSDBA -pass masterkey
+GSEC> modify SYSDBA -pw newpassword
+GSEC> quit
+
+before doing anything serious with Firebird.
+
+See %%PREFIX%%/firebird/RELNOTES for more.
+---------------------------------------------------------
===> Done

Thanks
-- 
Renato Botelho <freebsd at galle dot com dot br>
AIM: RBGargaBR | ICQ: 54596223
GnuPG Key: http://www.galle.com.br/~renato/pubkey.asc

The surest protection against temptation is cowardice.
		-- Mark Twain
Comment 3 Sergey Matveychuk freebsd_committer 2005-05-14 18:04:25 UTC
State Changed
From-To: open->repocopy

Repocopy request: 
databases/firebird -> databases/firebird-server 


Comment 4 Sergey Matveychuk freebsd_committer 2005-05-14 18:04:25 UTC
Responsible Changed
From-To: sem->portmgr

Repocopy request: 
databases/firebird -> databases/firebird-server
Comment 5 Joe Marcus Clarke freebsd_committer 2005-05-14 19:43:45 UTC
State Changed
From-To: repocopy->open

Repocopies completed. 


Comment 6 Joe Marcus Clarke freebsd_committer 2005-05-14 19:43:45 UTC
Responsible Changed
From-To: portmgr->sem

Repocopies completed.
Comment 7 Sergey Matveychuk freebsd_committer 2005-05-17 17:09:59 UTC
State Changed
From-To: open->closed

Committed, thanks!